# $Revision: 1.149 $, $Date: 2009/08/28 18:51:35 $
# TODO:
# - put library to separate package
#
# Conditional build:
%bcond_with	static		# link statically
%bcond_without	nls		# build without NLS
%bcond_without	readline	# build without readline support
%bcond_with	uClibc		# add somewhat nasty uClibc patch, that
#				# shouldn't cause problems, but who knows...
#
Summary:	Flexible partitioning tool
Summary(es.UTF-8):	Herramienta de particionamiento flexible
Summary(pl.UTF-8):	GNU Parted - narzędzie do zarządzania partycjami na dyskach
Summary(pt_BR.UTF-8):	Ferramenta flexível de particionamento
Summary(ru.UTF-8):	Программа GNU манипуляции дисковыми разделами
Summary(uk.UTF-8):	Програма GNU маніпуляції дисковими розділами
Name:		parted
Version:	1.9.0
Release:	1
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.xz
# Source0-md5:	a9ffa9b69f0b6099b75c32a03bb12f7f
# restored from git repository
Source1:	%{name}.m4
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-no_wrap.patch
Patch2:		%{name}-BIG_FAT_WARNING.patch
Patch3:		%{name}-uClibc.patch
Patch4:		%{name}-info.patch
Patch5:		%{name}-etherd.patch
Patch6:		%{name}-headers.patch
Patch7:		%{name}-man-pt.patch
URL:		http://www.gnu.org/software/parted/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	device-mapper-devel >= 1.02.02
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	libtool
BuildRequires:	libuuid-devel
%{?with_static:BuildRequires:	libuuid-static}
%{?with_readline:BuildRequires:	ncurses-devel >= 5.2}
BuildRequires:	po4a
%{?with_readline:BuildRequires:	readline-devel >= 5.0}
BuildRequires:	texinfo >= 4.2
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Parted is a program that allows you to create, destroy, resize,
move and copy hard disk partitions. This is useful for creating space
for new operating systems, reorganising disk usage, and copying data
to new hard disks.

%description -l es.UTF-8
GNU Parted es un programa que permite crear, destruir, redimensionar,
mover y copiar particiones de discos duros. Es útil para crear espacio
para nuevos sistemas operacionales, reorganizar el uso del disco, y
copiar datos para nuevos discos duros.

%description -l pl.UTF-8
GNU Parted jest programem który umożliwia tworzenie, usuwanie, zmianę
rozmiaru, przesuwanie i kopiowanie partycji na dyskach. Może być
użyteczny przy tworzeniu partycji pod nowy system jak i przy
reorganizacji sposobu wykorzystywania dysków, a także ich kopiowaniu.

%description -l pt_BR.UTF-8
O GNU Parted é um programa que permite criar, destruir, redimensionar,
mover e copiar partições de discos rígidos. É útil para criar espaço
para novos sistemas operacionais, reorganizar o uso do disco, e copiar
dados para novos discos rígidos.

%description -l ru.UTF-8
GNU Parted - это программа, позволяющая вам создавать, удалять, менять
размер, перемещать и копировать разделы на жестких дисках. Это полезно
для создания места для размещения новых операционных систем,
реорганизации использования диска и копирования данных на новые диски.

%description -l uk.UTF-8
GNU Parted - це програма, яка дозволяє вам створювати, видаляти,
змінювати розмір, переміщувати та копіювати розділи на жорстких
дисках. Це корисно для створення місця для розміщення нових
операційних систем, реорганізації використання диску та копіювання
даних на нові диски.

%package devel
Summary:	Files required to compile software that uses libparted
Summary(es.UTF-8):	Archivos de desarrollo para libparted
Summary(pl.UTF-8):	Pliki wymagane przy kompilacji programów używających libparted
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para a libparted
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	device-mapper-devel >= 1.02.02
Requires:	libuuid-devel

%description devel
Files required to compile software that uses libparted.

%description devel -l es.UTF-8
Este paquete incluye los archivos de encabezamiento y bibliotecas
necesarios para ligar estáticamente programas con libparted.

%description devel -l pl.UTF-8
Pliki wymagane przy kompilacji programów używających libparted.

%description devel -l pt_BR.UTF-8
O GNU Parted é um programa que permite criar, destruir, redimensionar,
mover e copiar partições de discos rígidos. É útil para criar espaço
para novos sistemas operacionais, reorganizar o uso do disco, e copiar
dados para novos discos rígidos. Este pacote inclui os arquivos de
cabeçalho e bibliotecas necessários para ligar estaticamente programas
com a libparted.

%package static
Summary:	Static libparted library
Summary(pl.UTF-8):	Biblioteka statyczna libparted
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libparted library.

%description static -l pl.UTF-8
Biblioteka statyczna libparted.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_uClibc:%patch3 -p1}
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -f po/stamp-po

rm m4/extensions.m4
sed -i -e 's#gl_USE_SYSTEM_EXTENSIONS#AC_USE_SYSTEM_EXTENSIONS#g' configure.ac m4/*.m4

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_readline:--without-readline} \
	%{?with_readline:--with-readline} \
	%{!?with_nls:--disable-nls} \
	%{?with_static:--without-pic}

%{!?with_nls:touch include/libintl.h}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	aclocaldir=%{_aclocaldir}

# not supported yet by am
install -d $RPM_BUILD_ROOT%{_mandir}/pt_BR/man8
install doc/pt_BR/*.8 $RPM_BUILD_ROOT%{_mandir}/pt_BR/man8

# missing in sources
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_aclocaldir}/parted.m4

%{?with_nls:%find_lang %{name}}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files %{?with_nls:-f %{name}.lang}
%defattr(644,root,root,755)
%doc doc/{API,FAT} AUTHORS BUGS ChangeLog NEWS README THANKS TODO
%lang(ja) %doc doc/USER.jp
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{!?with_static:%attr(755,root,root) %{_libdir}/libparted-*.so.*.*}
%{_mandir}/man8/*
%lang(pt) %{_mandir}/pt_BR/man8/*
%{_infodir}/parted.info*

%files devel
%defattr(644,root,root,755)
%{!?with_static:%attr(755,root,root) %{_libdir}/libparted.so}
%{_libdir}/libparted.la
%{_includedir}/parted
%{_pkgconfigdir}/libparted.pc
%{_aclocaldir}/parted.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/libparted.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: parted.spec,v $
Revision 1.149  2009/08/28 18:51:35  arekm
- up to 1.9.0

Revision 1.148  2009/05/03 14:58:51  hawk
- release 4

Revision 1.147  2009/02/23 22:07:35  arekm
- release 3

Revision 1.146  2008/11/01 15:44:45  arekm
- rel 2; fix build

Revision 1.145  2008-04-08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.144  2007-08-22 21:06:16  qboosh
- updated to 1.8.8
- updated pl.po-update,etherd patches

Revision 1.143  2007/06/04 14:14:33  pluto
- don't use unimplemented features ( c99 extern inline ).

Revision 1.142  2007/05/18 19:47:03  qboosh
- glibc 2.6 headers support gcc 4.2, -fgnu89-inline no longer needed

Revision 1.141  2007/05/15 19:49:12  qboosh
- updated to 1.8.7
- updated pl.po-update patch, removed obsolete segv patch

Revision 1.140  2007/04/21 22:22:02  tommat
- added -fgnu89-inline to CFLAGS

Revision 1.139  2007/04/04 09:33:07  qboosh
- updated to 1.8.6
- updated pl.po-update,BIG_FAT_WARNING patches
- removed obsolete link patch
- readded parted.m4 from git repository

Revision 1.138  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.137  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.136  2007/01/15 21:00:40  qboosh
- updated to 1.8.2, updated pl.po-update patch

Revision 1.135  2006/12/07 18:17:58  qboosh
- updated to 1.8.1, updated pl.po-update patch

Revision 1.134  2006/11/24 13:38:09  glen
- check-files cleanup

Revision 1.133  2006/11/23 22:47:05  qboosh
- updated to 1.8.0
- updated pl.po-update,etherd patches
- removed obsolete sx8,dasd,iseries,dm,aix patches
- added man-pt patch, BR: po4a

Revision 1.132  2006/09/30 15:08:12  blues
- TODO added

Revision 1.131  2006/05/27 22:14:18  qboosh
- updated to 1.7.1 (note: new soname)
- updated pl.po-update,BIG_FAT_WARNING,link,etherd,segv patches
- dasd,sx8,iseries,aix patches updated from FC (with fixes);
  dasd_geometry patch merged into dasd patch
- merged dm patch (device-mapper support) from FC (with fix)
- added headers patch to fix <parted/device.h> include

Revision 1.130  2005/11/26 22:12:46  qboosh
- added segv patch

Revision 1.129  2005/11/17 22:30:12  qboosh
- updated to 1.6.25.1 (back to 1.6.24 soname); updated pl.po-update patch

Revision 1.128  2005/11/04 10:45:21  qboosh
- updated to 1.6.25, removed obsolete nodebug,ubd patches
- updated pl.po-update,dasd,iseries,sx8,etherd patches

Revision 1.127  2005/09/17 10:29:16  arekm
- rebuild with readline 5.0

Revision 1.126  2005/08/15 18:39:39  qboosh
- updated to 1.6.24
- updated pl.po-update patch, added nodebug patch (build fix)
- added sx8 patch (Promise SX8 support from FC)
- added ubd,etherd patches (UBD and AoE support from SuSE)

Revision 1.125  2005/07/18 19:11:40  qboosh
- updated to 1.6.23
- updated dasd,aix,pl.po-update patches
- removed obsolete mac-lvm patch

Revision 1.124  2005/04/24 13:42:40  qboosh
- added link patch (fixes libparted linking)

Revision 1.123  2005/04/24 13:07:42  qboosh
- release 3

Revision 1.122  2005/04/24 13:07:12  qboosh
- added dasd,dasd_geometry,iseries,aix,mac-lvm patches
  (taken from FC, with minor changes in dasd and mac-lvm)
- removed protected patch (integral part of dasd patch)

Revision 1.121  2005/04/23 22:42:33  patrys
- patched against enum structure change

Revision 1.120  2005/03/23 01:34:44  qboosh
- updated pl.po-update patch, release 2

Revision 1.119  2005/03/22 19:23:24  saq
- up to 1.6.22

Revision 1.118  2005/01/21 14:47:02  hawk
- updated to 1.6.21

Revision 1.117  2004/12/22 23:41:46  qboosh
- updated to 1.6.20, updated pl.po-update patch

Revision 1.116  2004/11/28 15:02:57  qboosh
- updated to 1.6.19, updated pl.po-update patch
- dropped get_sector_size (workaround which shouldn't be needed now)

Revision 1.115  2004/11/23 19:16:52  krolik
- up to 1.6.18, rel. still 1.

Revision 1.114  2004/10/21 20:56:12  qboosh
- updated to 1.6.15, updated pl.po-update patch
- removed obsolete ped_partition_is_active patch
- added pl translation for added message to BIG_FAT_WARNING patch
- gcc-c++ shouldn't be needed (ac/am is regenerated)

Revision 1.113  2004/10/01 08:59:15  paladine
- updated to 1.6.13

Revision 1.112  2004/09/21 14:41:44  jareq
- added parted-log2.patch - fix building with gcc-3.4
- added parted-ped_partition_is_active.patch - fix building with gcc-3.4
- rel 2

Revision 1.111  2004/08/29 09:30:19  qboosh
- updated to 1.6.12
- removed outdated BOOT patch (dos probe code has been rewritten, warning no
  longer exists
- added pl.po-update patch

Revision 1.110  2004/05/16 13:36:09  areq
- 1.6.11 - remove outdated patches

Revision 1.109  2004/04/25 22:19:19  adamg
- release 5

Revision 1.108  2004/04/25 22:15:37  adamg
- added get_sector_size patch (parted recieved SIGFPE when trying to call
  _device_get_sector_size on cdrom devices)

Revision 1.107  2003/12/30 03:22:16  qboosh
- added am18 and blk patches, release 4

Revision 1.106  2003/12/15 09:26:35  qboosh
- added endian patch (bug in endianess conversion on big endians)
- release 3

Revision 1.105  2003/10/09 09:46:41  qboosh
- s/e2fsprogs/libuuid/, new bconds; release 2

Revision 1.104  2003/08/24 20:31:29  blues
- release 1 (?)

Revision 1.103  2003/08/02 11:22:29  qboosh
- typos, updated info patch

Revision 1.102  2003/07/29 08:14:33  qboosh
- removed obsolete ah and gcc33-warnings patches

Revision 1.101  2003/07/28 18:09:39  adamg
- updated to 1.6.6
- patch5 (parted-ah.patch) and patch6 (parted-gcc33-warnings.patch) disabled.
  They are probably not needed, but someone please verify that.
- release 0.1

Revision 1.100  2003/06/14 21:44:13  arekm
- include only required info files

Revision 1.99  2003/05/28 13:00:13  malekith
- massive attack: source-md5

Revision 1.98  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.97  2003/05/22 22:50:01  malekith
- added br: gcc-c++; it's required by some ac fsckup

Revision 1.96  2003/05/22 22:48:29  malekith
- release 2; added gcc33-warnings.patch (can be now build with gcc 3.3)

Revision 1.95  2003/05/11 19:20:39  areq
- 1.6.5

Revision 1.94  2002/12/16 10:55:53  wiget
- updated to 1.6.4

Revision 1.93  2002/12/06 14:43:59  wiget
- spell fixes by Tomasz Wittner <wittt_ at poczta.onet.pl>

Revision 1.92  2002/11/30 23:00:24  juandon
- new %doc

Revision 1.91  2002/11/28 14:45:32  wiget
- updated to 1.6.3

Revision 1.90  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.89  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.88  2002/06/23 20:52:53  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.87  2002/06/23 20:32:33  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.86  2002/05/21 23:14:20  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.85  2002/05/13 14:03:17  kloczek
- updatesd to 1.6.1.

Revision 1.84  2002/05/08 17:39:57  kloczek
- updated to new stable version 1.6.0,
- merge translations from KSI,
- BuildRequires: texinfo >= 4.2,
- aded DESTDIR and info patches and removed obsoleted llseek patch.

Revision 1.83  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.82  2002/03/16 12:27:14  malekith
- typo

Revision 1.81  2002/03/15 14:38:14  malekith
- added --with uClibc bcond (adds some nast patch)
- now can be built with uClibc

Revision 1.80  2002/03/14 16:36:11  malekith
- dropped BOOT, added some bconds (for BOOT :)
- nfy

Revision 1.79  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.78  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.77  2002/01/28 03:54:37  kloczek
- updated to 1.4.24 (mainly bugfixes backported from 1.6.x branch).

Revision 1.76  2002/01/18 02:14:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.75  2002/01/17 00:39:29  kloczek
- updated to 1.4.23 (new stable version).

Revision 1.74  2002/01/03 00:08:23  kloczek
- updated to 1.4.22 (bug fixes for ext2 and updated translations).

Revision 1.73  2001/12/14 11:39:40  malekith
- rel 2
- added patch to display warning about not waiting to exit to write
  partition table

Revision 1.72  2001/11/21 14:05:48  kloczek
- updated to 1.4.21.

Revision 1.71  2001/10/29 19:13:17  malekith
- added no_wrap patch
- rel 2

Revision 1.70  2001/10/16 20:40:05  kloczek
- updated to 1.4.20,
- spec adapterized and merged translations from CNV.

Revision 1.69  2001/10/04 12:38:39  malekith
- hopfully fixed problem with invalid seek etc.
- rel 2
- stbr, and rebuild bootdisks/iso *ASAP*

Revision 1.68  2001/09/28 14:03:32  areq
- update to 1.4.19, STBR

Revision 1.67  2001/09/13 18:23:50  kloczek
- s/rm -f missing/rm -f missing/

Revision 1.66  2001/09/12 11:50:56  malekith
- 1.4.18
- removed gpt patch (partially in sources, partially it was broken)

Revision 1.65  2001/08/21 12:06:49  malekith
- rel 3
- finally got BOOT version to work correctly (it was about CFLAGS, not
  using optimization breaks it :^< )
- removed lseek64 patch

Revision 1.64  2001/08/21 11:26:06  malekith
- use normal cflags for BOOT

Revision 1.63  2001/08/20 10:18:00  malekith
- removed -m386, wonder why -O0...

Revision 1.62  2001/08/18 11:40:44  malekith
- hopefully fixed problem with EINVAL dueing seek on /dev/hd* (lseek64 patch)
- rel 2

Revision 1.61  2001/07/19 18:26:58  kloczek
- updated to 1.4.16,
- updated gpt patch,
- removed obsoleted gpt-pmbralign patch.

Revision 1.60  2001/07/06 11:52:12  wiget
- uncoment regeneration of am/ac/lt and require new autoconf

Revision 1.59  2001/06/29 11:41:34  kloczek
- comment ac/am/lt regenerattion an GPT patches (this need new autoconf).

Revision 1.58  2001/06/29 11:05:46  kloczek
- added patches with Intel EFI GPT support to GNU parted.

Revision 1.57  2001/06/29 10:57:50  wiget
- improved BOOT.patch; release 3

Revision 1.56  2001/06/28 18:29:15  wiget
- added BOOT.patch; release 2

Revision 1.55  2001/05/31 23:20:48  kloczek
- updated to 1.4.14.

Revision 1.54  2001/05/25 10:39:57  klakier
- 1.4.12 does not compile please fix it first,
  back to 1.4.11

Revision 1.51  2001/05/22 23:18:14  klakier
- added -m386 to BOOT

Revision 1.50  2001/05/17 13:55:30  misiek
- revert latest change - it breaks configure

Revision 1.49  2001/05/17 11:59:03  misiek
- regenerate autostuff

Revision 1.48  2001/04/17 18:22:26  klakier
- added BOOT package

Revision 1.47  2001/04/12 23:46:20  kloczek
- release 2: rebuild against readline 4.2.

Revision 1.46  2001/04/09 15:21:29  kloczek
- updatadet do 1.4.11,
- removed "gettextize --copy --force" from %build (now isn't neccessary).

Revision 1.45  2001/03/17 09:56:51  kloczek
- updated to 1.4.10.

Revision 1.44  2001/02/16 22:49:49  areq
- 1.4.9

Revision 1.43  2001/01/30 10:13:51  misiek
- 1.4.8. stb

Revision 1.42  2001/01/15 20:43:36  misiek
- 1.4.7

Revision 1.41  2001/01/07 10:08:01  misiek
- 1.4.6 version

Revision 1.40  2000/12/28 23:16:32  areq
- updated to 1.4.5

Revision 1.39  2000/11/30 16:47:25  areq
- updated to 1.4.4.

Revision 1.38  2000/11/24 22:44:25  kloczek
- updated to 1.4.3.

Revision 1.37  2000/11/19 06:34:37  kloczek
- updated to 1.4.2.

Revision 1.36  2000/11/16 01:14:37  kloczek
- updated to 1.4.1.

Revision 1.35  2000/09/27 14:28:54  kloczek
- release 2: use new rpm automation.

Revision 1.34  2000/09/17 18:28:40  kloczek
- adapterized.

Revision 1.33  2000/09/17 15:42:07  zagrodzki
- updated to 1.3.3

Revision 1.32  2000/09/12 19:58:35  kloczek
- updated to 1.3.2,
- added aclocal macros to devel.

Revision 1.31  2000/08/20 21:17:18  kloczek
- updated to 1.3.1.

Revision 1.30  2000/08/13 19:53:52  alchemyx
- upgraded to 1.2.7

Revision 1.29  2000/07/31 10:13:36  kloczek
- updated to 1.2.6.

Revision 1.28  2000/07/18 12:53:24  kloczek
- updated to 1.2.5.

Revision 1.27  2000/07/17 01:52:43  kloczek
- updated to 1.2.4.

Revision 1.26  2000/07/06 16:06:55  mis
- run ldconfig in %post/%postun

Revision 1.25  2000/06/29 13:09:51  zagrodzki
- release 2

Revision 1.24  2000/06/29 12:54:29  zagrodzki
- Requires: iconv

Revision 1.23  2000/06/28 04:03:57  kloczek
- updated to 1.2.3.
